summaryrefslogtreecommitdiffstats
path: root/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh
diff options
context:
space:
mode:
authorTony Sarajärvi <tony.sarajarvi@qt.io>2018-09-05 12:55:55 +0300
committerLiang Qi <liang.qi@qt.io>2018-09-11 13:32:20 +0000
commitd038ea67576833a5096efbe8a868b574283df5ad (patch)
tree22f6b5da9c29d8f89e1580de5f22276d401363e5 /coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh
parent0a5c08be351ac99054cb894131fbf475798f580c (diff)
Provision GCC 8.2 to Ubuntu 18.04 and set as default compiler
The provisioning scripts supports prebuilt binaries. When available, those are extracted taken into use. If they are not found, sources are downloaded and built. Task-number: QTQAINFRA-2066 Change-Id: Id1a59be2d1cbdb29d316ade572c3ce8f17ad3a6b Reviewed-by: Heikki Halmet <heikki.halmet@qt.io>
Diffstat (limited to 'coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh')
-rwxr-xr-xcoin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh
new file mode 100755
index 00000000..62940e21
--- /dev/null
+++ b/coin/provisioning/qtci-linux-Ubuntu-18.04-x86_64/03-gcc.sh
@@ -0,0 +1,9 @@
+#!/usr/bin/env bash
+
+set -ex
+
+# shellcheck source=../common/linux/gcc.sh
+source "${BASH_SOURCE%/*}/../common/linux/gcc.sh"
+
+InstallGCC 8.2.0 50 19e40bea7df5dbadb22eec09ada621ecd9235687 19926bdb6c4b58891015929853d41aeff019d400
+